/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_BLACKLISTPAGE_H
#define DANBOORU_BLACKLISTPAGE_H

#include "ui_blacklistpage.h"

namespace Danbooru
{

class DanbooruSettings;

class BlacklistPage: public QWidget, public Ui::BlacklistPage
{

    Q_OBJECT

public:
    explicit BlacklistPage(DanbooruSettings *preferences, QWidget *parent = 0);
    ~BlacklistPage();

};

} // namespace Danbooru

#endif
