/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_GENERALPAGE_H
#define DANBOORU_GENERALPAGE_H

#include "ui_generalpage.h"

namespace Danbooru
{

class DanbooruSettings;

class GeneralPage: public QWidget, public Ui::GeneralPage
{

    Q_OBJECT

public:
    explicit GeneralPage(DanbooruSettings *preferences, QWidget *parent = 0);
    ~GeneralPage();

};

} // namespace Danbooru
#endif