/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef DANBOORU_TEST_POST_H
#define DANBOORU_TEST_POST_H

#include <QObject>
#include <QTest>

namespace Danbooru {
    class DanbooruPost;
}

class TestDanbooruPost: public QObject
{
Q_OBJECT


private Q_SLOTS:
    void initTestCase();
    void testPostLoading();
    void testPostLoading_data();
    void testPostLoadingXml();
    void testPostLoadingXml_data();

};


#endif
