/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#include "blacklistpage.h"
#include "danboorusettings.h"

namespace Danbooru
{

BlacklistPage::BlacklistPage(DanbooruSettings *preferences, QWidget *parent): QWidget(parent)
{
    setupUi(this);
    kcfg_TagBlacklist->insertStringList(preferences->boards());

}

BlacklistPage::~BlacklistPage()
{
}

} // namespace Danbooru