/*
 * SPDX-FileCopyrightText: 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 *SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef TEST_DANBOORUPOOL_H
#define TEST_DANBOORUPOOL_H

#include <QTest>

namespace Danbooru {
    class DanbooruPool;
}

class TestDanbooruPool: public QObject
{
Q_OBJECT


private Q_SLOTS:
    void initTestCase();
    void testPoolIndexLoading();
    void testPoolIndexLoading_data();
    void testPoolIndexLoadingXml();
    void testPoolIndexLoadingXml_data();
    void testPoolEntryLoading();
    void testPoolEntryLoading_data();

};

#endif
